<?php
/**
 * Plugin Name: 100Prints
 * Plugin URI:  https://100printswith.me
 * Description: Generate personalized certificates, ID cards, tickets and PDFs directly from your WordPress site.
 * Version:     1.0.1
 * Author:      100PrintsWithMe
 * License:     GPL-2.0+
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: 100prints
 * Domain Path: /languages
 * Requires at least: 6.3
 * Requires PHP: 8.1
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'HUNDRED_PRINTS_VERSION', '1.0.1' );
define( 'HUNDRED_PRINTS_PLUGIN_FILE', __FILE__ );
define( 'HUNDRED_PRINTS_PATH', plugin_dir_path( __FILE__ ) );
define( 'HUNDRED_PRINTS_URL', plugin_dir_url( __FILE__ ) );
/**
 * The code that runs during plugin activation.
 */
function activate_hundred_prints() {
	require_once HUNDRED_PRINTS_PATH . 'includes/class-activator.php';
	Hundred_Prints_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 */
function deactivate_hundred_prints() {
	require_once HUNDRED_PRINTS_PATH . 'includes/class-deactivator.php';
	Hundred_Prints_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_hundred_prints' );
register_deactivation_hook( __FILE__, 'deactivate_hundred_prints' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require HUNDRED_PRINTS_PATH . 'includes/class-plugin.php';

/**
 * Begins execution of the plugin.
 */
function run_hundred_prints() {
	$plugin = new Hundred_Prints();
	$plugin->run();
}
run_hundred_prints();

